org.wildfly.swarm.microprofile.openapi.api.models.security

## Class SecuritySchemeImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.security.SecuritySchemeImpl

- All Implemented Interfaces:
    ModelImpl

      public class SecuritySchemeImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `SecurityScheme` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecuritySchemeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityScheme` | `bearerFormat(String bearerFormat)`
    `SecurityScheme` | `description(String description)`
    `SecurityScheme` | `flows(OAuthFlows flows)`
    `String` | `getBearerFormat()`
    `String` | `getDescription()`
    `OAuthFlows` | `getFlows()`
    `In` | `getIn()`
    `String` | `getName()`
    `String` | `getOpenIdConnectUrl()`
    `String` | `getRef()`
    `String` | `getScheme()`
    `Type` | `getType()`
    `SecurityScheme` | `in(In in)`
    `SecurityScheme` | `name(String name)`
    `SecurityScheme` | `openIdConnectUrl(String openIdConnectUrl)`
    `SecurityScheme` | `ref(String ref)`
    `SecurityScheme` | `scheme(String scheme)`
    `void` | `setBearerFormat(String bearerFormat)`
    `void` | `setDescription(String description)`
    `void` | `setFlows(OAuthFlows flows)`
    `void` | `setIn(In in)`
    `void` | `setName(String name)`
    `void` | `setOpenIdConnectUrl(String openIdConnectUrl)`
    `void` | `setRef(String ref)`
    `void` | `setScheme(String scheme)`
    `void` | `setType(Type type)`
    `SecurityScheme` | `type(Type type)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecuritySchemeImpl

          public SecuritySchemeImpl()

  - ### Method Detail

    - #### getRef

          public String getRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#getRef()`

    - #### setRef

          public void setRef(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#setRef(java.lang.String)`

    - #### ref

          public SecurityScheme ref(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#ref(java.lang.String)`

    - #### getType

          public Type getType()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#getType()`

    - #### setType

          public void setType(Type type)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#setType(org.eclipse.microprofile.openapi.models.security.SecurityScheme.Type)`

    - #### type

          public SecurityScheme type(Type type)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#type(org.eclipse.microprofile.openapi.models.security.SecurityScheme.Type)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#setDescription(java.lang.String)`

    - #### description

          public SecurityScheme description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#description(java.lang.String)`

    - #### getName

          public String getName()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#getName()`

    - #### setName

          public void setName(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#setName(java.lang.String)`

    - #### name

          public SecurityScheme name(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#name(java.lang.String)`

    - #### getIn

          public In getIn()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#getIn()`

    - #### setIn

          public void setIn(In in)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#setIn(org.eclipse.microprofile.openapi.models.security.SecurityScheme.In)`

    - #### in

          public SecurityScheme in(In in)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#in(org.eclipse.microprofile.openapi.models.security.SecurityScheme.In)`

    - #### getScheme

          public String getScheme()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#getScheme()`

    - #### setScheme

          public void setScheme(String scheme)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#setScheme(java.lang.String)`

    - #### scheme

          public SecurityScheme scheme(String scheme)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#scheme(java.lang.String)`

    - #### getBearerFormat

          public String getBearerFormat()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#getBearerFormat()`

    - #### setBearerFormat

          public void setBearerFormat(String bearerFormat)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#setBearerFormat(java.lang.String)`

    - #### bearerFormat

          public SecurityScheme bearerFormat(String bearerFormat)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#bearerFormat(java.lang.String)`

    - #### getFlows

          public OAuthFlows getFlows()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#getFlows()`

    - #### setFlows

          public void setFlows(OAuthFlows flows)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#setFlows(org.eclipse.microprofile.openapi.models.security.OAuthFlows)`

    - #### flows

          public SecurityScheme flows(OAuthFlows flows)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#flows(org.eclipse.microprofile.openapi.models.security.OAuthFlows)`

    - #### getOpenIdConnectUrl

          public String getOpenIdConnectUrl()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#getOpenIdConnectUrl()`

    - #### setOpenIdConnectUrl

          public void setOpenIdConnectUrl(String openIdConnectUrl)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#setOpenIdConnectUrl(java.lang.String)`

    - #### openIdConnectUrl

          public SecurityScheme openIdConnectUrl(String openIdConnectUrl)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityScheme#openIdConnectUrl(java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.